Bug 1130786 - [abrt] control-center: gtk_widget_get_parent(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: gtk_widget_get_parent(): gnome-control-center killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d033a1df772f4c79c630edba1e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 18:05 UTC by D. Charles Pyle
Modified: 2015-12-02 16:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:25:11 UTC


Attachments (Terms of Use)
File: backtrace (54.90 KB, text/plain)
2014-08-17 18:05 UTC, D. Charles Pyle
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-17 18:05 UTC, D. Charles Pyle
no flags Details
File: core_backtrace (25.97 KB, text/plain)
2014-08-17 18:05 UTC, D. Charles Pyle
no flags Details
File: dso_list (25.57 KB, text/plain)
2014-08-17 18:05 UTC, D. Charles Pyle
no flags Details
File: environ (3.96 KB, text/plain)
2014-08-17 18:05 UTC, D. Charles Pyle
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-17 18:05 UTC, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-17 18:05 UTC, D. Charles Pyle
no flags Details
File: maps (121.09 KB, text/plain)
2014-08-17 18:06 UTC, D. Charles Pyle
no flags Details
File: open_fds (1.42 KB, text/plain)
2014-08-17 18:06 UTC, D. Charles Pyle
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-08-17 18:06 UTC, D. Charles Pyle
no flags Details
File: var_log_messages (204 bytes, text/plain)
2014-08-17 18:06 UTC, D. Charles Pyle
no flags Details

Description D. Charles Pyle 2014-08-17 18:05:52 UTC
Description of problem:
Used option to change hostname in Details from within gnome-control-center.  After closing the Details control panel it crashed.

Version-Release number of selected component:
control-center-3.13.4-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: gtk_widget_get_parent
executable:     /usr/bin/gnome-control-center
kernel:         3.16.1-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_get_parent at gtkwidget.c:9580
 #1 gtk_window_set_focus at gtkwindow.c:2344
 #2 gtk_window_dispose at gtkwindow.c:2885
 #3 gtk_application_window_dispose at gtkapplicationwindow.c:775
 #9 g_simple_action_activate at gsimpleaction.c:211
 #10 gtk_action_muxer_activate_action at gtkactionmuxer.c:411
 #18 gtk_menu_tracker_item_activated at gtkmenutrackeritem.c:778
 #19 gtk_popover_item_activate at gtkmenusectionbox.c:149
 #20 _g_closure_invoke_va at gclosure.c:831
 #23 gtk_button_clicked at gtkbutton.c:1444

Comment 1 D. Charles Pyle 2014-08-17 18:05:54 UTC
Created attachment 927539 [details]
File: backtrace

Comment 2 D. Charles Pyle 2014-08-17 18:05:55 UTC
Created attachment 927540 [details]
File: cgroup

Comment 3 D. Charles Pyle 2014-08-17 18:05:56 UTC
Created attachment 927541 [details]
File: core_backtrace

Comment 4 D. Charles Pyle 2014-08-17 18:05:57 UTC
Created attachment 927542 [details]
File: dso_list

Comment 5 D. Charles Pyle 2014-08-17 18:05:58 UTC
Created attachment 927543 [details]
File: environ

Comment 6 D. Charles Pyle 2014-08-17 18:05:58 UTC
Created attachment 927544 [details]
File: exploitable

Comment 7 D. Charles Pyle 2014-08-17 18:05:59 UTC
Created attachment 927545 [details]
File: limits

Comment 8 D. Charles Pyle 2014-08-17 18:06:00 UTC
Created attachment 927546 [details]
File: maps

Comment 9 D. Charles Pyle 2014-08-17 18:06:01 UTC
Created attachment 927547 [details]
File: open_fds

Comment 10 D. Charles Pyle 2014-08-17 18:06:02 UTC
Created attachment 927548 [details]
File: proc_pid_status

Comment 11 D. Charles Pyle 2014-08-17 18:06:03 UTC
Created attachment 927549 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 15:15:09 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:25:15 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.